TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.ats.addApplicationNote({
application_id: "8Xi6iZrwusZqJmDGXs49GBmJ",
body: {
content: "A new message from the candidate is available in YourChat!",
content_type: "PLAIN_TEXT",
},
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.ats.add_application_note(application_id: '8Xi6iZrwusZqJmDGXs49GBmJ', body: Models::Shared::PostAtsApplicationsApplicationIdNotesRequestBody.new(
content: 'A new message from the candidate is available in YourChat!',
content_type: Models::Shared::ContentType::PLAIN_TEXT
))
unless res.post_ats_applications_application_id_notes_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.ats.add_application_note(application_id="8Xi6iZrwusZqJmDGXs49GBmJ", content="A new message from the candidate is available in YourChat!", content_type="PLAIN_TEXT")
# Handle response
print(res)curl --request POST \
--url https://api.kombo.dev/v1/ats/applications/{application_id}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '
{
"content": "A new message from the candidate is available in YourChat!",
"content_type": "PLAIN_TEXT"
}
'const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
content: 'A new message from the candidate is available in YourChat!',
content_type: 'PLAIN_TEXT'
})
};
fetch('https://api.kombo.dev/v1/ats/applications/{application_id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/ats/applications/{application_id}/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => 'A new message from the candidate is available in YourChat!',
'content_type' => 'PLAIN_TEXT'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/ats/applications/{application_id}/notes"
payload := strings.NewReader("{\n \"content\": \"A new message from the candidate is available in YourChat!\",\n \"content_type\": \"PLAIN_TEXT\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombo.dev/v1/ats/applications/{application_id}/notes")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"A new message from the candidate is available in YourChat!\",\n \"content_type\": \"PLAIN_TEXT\"\n}")
.asString();{
"status": "success",
"data": {},
"warnings": [
{
"message": "This is an example warning!"
}
]
}Applications
Add note to application
Add a note to an application.
POST
/
ats
/
applications
/
{application_id}
/
notes
TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.ats.addApplicationNote({
application_id: "8Xi6iZrwusZqJmDGXs49GBmJ",
body: {
content: "A new message from the candidate is available in YourChat!",
content_type: "PLAIN_TEXT",
},
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.ats.add_application_note(application_id: '8Xi6iZrwusZqJmDGXs49GBmJ', body: Models::Shared::PostAtsApplicationsApplicationIdNotesRequestBody.new(
content: 'A new message from the candidate is available in YourChat!',
content_type: Models::Shared::ContentType::PLAIN_TEXT
))
unless res.post_ats_applications_application_id_notes_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.ats.add_application_note(application_id="8Xi6iZrwusZqJmDGXs49GBmJ", content="A new message from the candidate is available in YourChat!", content_type="PLAIN_TEXT")
# Handle response
print(res)Supported integrations
Supported integrations
This feature is currently available for the following integrations:
SAP SuccessFactors
SmartRecruiters
Lever
Cornerstone TalentLink
Tellent Recruitee
Greenhouse (V1)
Greenhouse (V3)
Teamtailor
Ashby
UKG Pro
UKG Ready
AFAS Software
BambooHR
Bullhorn for Salesforce
Bullhorn
Workable
Jobvite
Fountain
Pinpoint
d.vinci
d.vinci admin
TRAFFIT
Abacus Umantis
Haufe Umantis
HR WORKS
OTYS
Zoho Recruit
Eploy
JobDiva
Paradox
Recruit CRM
JazzHR
Homerun
Carerix
Carerix (GraphQL)
InRecruiting by Zucchetti
JobAdder
HR4YOU
Spark Hire Recruit
Mercury
Crelate
Manatal
Kombo Sandbox
Logic Melon
Loxo
Kula
TrackerRMS
Talent360
This endpoint requires the permission Add notes to be enabled in your scope config.
Example Request Body
{
"content": "A new message from the candidate is available in YourChat!",
"content_type": "PLAIN_TEXT",
"remote_fields": {}
}
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The Kombo ID of the application you want to create the note for.
Body
application/json
POST /ats/applications/:application_id/notes Request body
Response
POST /ats/applications/:application_id/notes Positive response
Was this page helpful?